﻿@model IEnumerable<eCommerce.Services.Model.Check>

    <table class="table table-hover dataTable table-striped width-full" id="checksTable" data-plugin="dataTable">
        <thead>
            <tr>
                <th class="col-xs-1">N° Int</th>
                <th class="col-xs-2 receivedTh">Recibido</th>
                <th class="col-xs-3">Recibido Por</th>
                <th class="col-xs-2">Nº Cheque</th>
                <th class="col-xs-2">Banco</th>
                <th class="col-xs-2 text-center">Monto</th>
                <th class="col-xs-2 text-center dueDateTh">Vencimiento</th>
                <th class="col-xs-2 text-center daysToDueTh">Plazo</th>
                <th class="col-xs-2 text-center deliveredTh">Tipo</th>
                <th class="col-xs-2 text-center deliveredToTh">Entregado A</th>
                <th class="col-xs-1 actionsTh"></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr data-attr-id="@item.CheckId">
                    <td>@item.CheckId </td>
                    <td class="receivedTd">@item.RecievedDate.ToShortDateString() </td>
                    <td>@item.RecibidoDe</td>
                    <td class="text-center">@Html.DisplayFor(modelItem => item.Number)</td>
                    <td>@Html.DisplayFor(modelItem => item.Bank.Name)</td>
                    <td class="text-right" nowrap="nowrap">@string.Format("{0:c2}", item.Amount)</td>
                    <td class="dueDateTd text-center">@item.DueDate.ToShortDateString()</td>
                    <td class="daysToDueTd text-center">
                        @if (item.DaysToDueDate > 0)
                {
                        <p class="positive">@item.DaysToDueDate</p>
                    }
                    else
                    {
                        <p class="negative">@item.DaysToDueDate</p>
                    }
                </td>
                <td class="dueñoTd text-center">@item.Dueño</td>
                <td class="deliveredToTd text-center">@item.EntregadoA</td>

                <td class="actionsTd"></td>
            </tr>
            }
        </tbody>
    </table>

    <style type="text/css">
        .positive {
            color: green;
        }

        .negative {
            color: red;
        }
    </style>
